--Parsec music 0.4
--Vendetta music replacement by Phil Spencer


local nextsong = Timer()
local lastsong = nil
local systemcheck = 0
local music = {
title  = 'playmusic plugins/parsecmusic/parsecmenu.ogg',
system = 'playmusic plugins/parsecmusic/parsecsystem.ogg',
[1]    = {'playmusic plugins/parsecmusic/track2.ogg',233},
[2]    = {'playmusic plugins/parsecmusic/track3.ogg',466},
[3]    = {'playmusic plugins/parsecmusic/track4.ogg',371},
[4]    = {'playmusic plugins/parsecmusic/track5.ogg',452},
[5]    = {'playmusic plugins/parsecmusic/track6.ogg',200},
[6]    = {'playmusic plugins/parsecmusic/track7.ogg',315},
[7]    = {'playmusic plugins/parsecmusic/track8.ogg',328},
[8]    = {'playmusic plugins/parsecmusic/track9.ogg',387},
[9]    = {'playmusic plugins/parsecmusic/track10.ogg',280},
[10]   = {'playmusic plugins/parsecmusic/track11.ogg',209},
[11]   = {'playmusic plugins/parsecmusic/track12.ogg',285},
[12]   = {'playmusic plugins/parsecmusic/track13.ogg',176},
}

function music_entergame()
   systemcheck = 0
end

function music_random()
   local song     = math.random(12)
   local duration = music[song][2] * 1000

   if nextsong:IsActive() then
      return
   end
   if song == lastsong then 
      music_random()
      return   
   end
   lastsong = song
   if systemcheck == 0 then
      gkinterface.GKProcessCommand(music['system'])
      nextsong:SetTimeout(15000,music_random)
      systemcheck = 1
      return
   end
   nextsong:SetTimeout(duration,music_random)
   gkinterface.GKProcessCommand(music[song][1])   
   
end

function music_spawnspace()
   if systemcheck == 0 then
      gkinterface.GKProcessCommand(music['system'])
      nextsong:SetTimeout(15000,music_random)
      systemcheck = 1
   else
      return
   end
end

RegisterEvent(music_entergame,"PLAYER_ENTERED_GAME")
RegisterEvent(gkinterface.GKProcessCommand(music['title']),"START")
RegisterEvent(music_random,"LEAVING_STATION")
RegisterEvent(music_spawnspace,"HUD_SHOW")
